Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishDebugBundle\Twig\DebugTemplate Class Reference

Meant to be used as a Twig base template class. More...

Inheritance diagram for eZ\Bundle\EzPublishDebugBundle\Twig\DebugTemplate:

## Public Member Functions
| display (array $context, array $blocks=[])
| getTemplateName ()
| {} More...
| getSource ()
| {} More...
| getDebugInfo ()
| {} More...

## Protected Member Functions
| doDisplay (array $context, array $blocks=[])
| {} More...

## Private Attributes
| $fileSystem

## Detailed Description

Meant to be used as a Twig base template class.

Wraps the display method to:

- Inject debug info into template to be able to see in the markup which one is used

Definition at line 18 of file DebugTemplate.php.

## Member Function Documentation

## ◆ display()

eZ\Bundle\EzPublishDebugBundle\Twig\DebugTemplate::display | ( | array | $context,
|  | array | $blocks = `[]`
| ) |  |

Definition at line 22 of file DebugTemplate.php.

## ◆ doDisplay()

eZ\Bundle\EzPublishDebugBundle\Twig\DebugTemplate::doDisplay | ( | array | $context,
|  | array | $blocks = `[]`
| ) |  |
| protected

{}

Definition at line 87 of file DebugTemplate.php.

## ◆ getDebugInfo()

eZ\Bundle\EzPublishDebugBundle\Twig\DebugTemplate::getDebugInfo | ( |  | ) |

{}

Definition at line 95 of file DebugTemplate.php.

## ◆ getSource()

eZ\Bundle\EzPublishDebugBundle\Twig\DebugTemplate::getSource | ( |  | ) |

{}

Definition at line 79 of file DebugTemplate.php.

## ◆ getTemplateName()

eZ\Bundle\EzPublishDebugBundle\Twig\DebugTemplate::getTemplateName | ( |  | ) |

{}

Definition at line 71 of file DebugTemplate.php.

## Member Data Documentation

## ◆ $fileSystem

eZ\Bundle\EzPublishDebugBundle\Twig\DebugTemplate::$fileSystem
| private

Definition at line 20 of file DebugTemplate.php.

The documentation for this class was generated from the following file:

- DebugTemplate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.